Create biometrics enrollment
curl --request POST \
--url http://api.trio.com.br/biometrics/enrollments \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"account_branch": "0001",
"account_digit": "6",
"account_number": "12345",
"account_type": "checking",
"device_id": "019f9fbf-2c57-04a6-037c-c8684d749591",
"external_id": "external_id_example",
"participant_id": "019f9fbf-2c55-2ea9-9690-bf5151689383"
}
'import requests
url = "http://api.trio.com.br/biometrics/enrollments"
payload = {
"account_branch": "0001",
"account_digit": "6",
"account_number": "12345",
"account_type": "checking",
"device_id": "019f9fbf-2c57-04a6-037c-c8684d749591",
"external_id": "external_id_example",
"participant_id": "019f9fbf-2c55-2ea9-9690-bf5151689383"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_branch: '0001',
account_digit: '6',
account_number: '12345',
account_type: 'checking',
device_id: '019f9fbf-2c57-04a6-037c-c8684d749591',
external_id: 'external_id_example',
participant_id: '019f9fbf-2c55-2ea9-9690-bf5151689383'
})
};
fetch('http://api.trio.com.br/biometrics/enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_info": {
"branch": "0001",
"digit": "6",
"ispb": "12345678",
"name": "John Doe",
"number": "12345",
"tax_number": "12345678901",
"type": "checking"
},
"device_id": "019f9fbf-2cd6-2659-0db8-5af4bb657392",
"expiration_datetime": "2026-08-26T00:00:00Z",
"external_id": "external_id_example",
"id": "019f9fbf-2cd6-3625-7a85-9832c5787c32",
"inserted_at": "2026-07-26T00:00:00Z",
"participant_id": "019f9fbf-2cd6-5fa6-c1d7-1e367f8ef4fe",
"redirect_url": "http://teste.com",
"status": "awaiting_enrollment",
"updated_at": "2026-07-26T00:00:00Z"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Biometrics
Create enrollment
Creates a biometrics enrollment for a device in a participant.
POST
/
biometrics
/
enrollments
Create biometrics enrollment
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Enrollment creation parameters
Parameters for creating a biometrics enrollment
Device ID
Participant ID
Account branch
Account digit
Account number
Account type
Available options:
checking, payment, salary, savings External ID
Response
Enrollment
Response schema for a biometrics enrollment
A biometrics enrollment
Show child attributes
Show child attributes
Example:
{ "device_id": "019f9fbf-2cb3-fd23-8e3e-05ab526f484e", "expiration_datetime": "2026-08-26T00:00:00Z", "external_id": "external_id_example", "id": "019f9fbf-2cb3-3924-4e1b-67a839a86c83", "inserted_at": "2026-07-26T00:00:00Z", "participant_id": "019f9fbf-2cb3-63d1-5f56-6472a1eb9c8b", "redirect_url": "http://teste.com", "status": "awaiting_enrollment", "updated_at": "2026-07-26T00:00:00Z" }
⌘I

